Bug 71715 - (NET PCNET32) pcnet32 does not initialize HomePNA
(NET PCNET32) pcnet32 does not initialize HomePNA
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-16 19:53 EDT by athos-123
Modified: 2013-07-02 22:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description athos-123 2002-08-16 19:53:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
the pcnet32 driver contains a bug since kernel 2.4.0.  The HomePNA card is not
being initialized correctly.  The driver worked under kernel 2.2. There have
been several postings in various newsgroups about this since kernel 2.4.0, but
the word is apparently not getting to the maintainer of pcnet32.  

I don't know who that is ... can you help me submit this bug to the correct people?

At line 588 there is a #if 0 statement that must be removed, along with the
corresponding #endif.  

Bug Code (lines 588-594):

        /* switch to home wiring mode */
        media = a->read_bcr(ioaddr, 49);
#if 0
        if (pcnet32_debug > 2)
            printk(KERN_DEBUG PFX "media value %#x.\n",  media);
        media &= ~3;
        media |= 1;
#endif
        if (pcnet32_debug > 2)

Fixed Code:

        /* switch to home wiring mode */
        media = a->read_bcr(ioaddr, 49);
        if (pcnet32_debug > 2)
            printk(KERN_DEBUG PFX "media value %#x.\n",  media);
        media &= ~3;
        media |= 1;
        if (pcnet32_debug > 2)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot up with a 1 MB HomePNA network card and kernel 2.4.x
2.It will not work
3.The driver works if the card is already initialize.  For example, if you boot
from power off to Windows (so Windows initializes the card), then soft-boot to
Linux it will work.  But Linux will not correctly initialize it from power off.
	

Actual Results:  After fixing the code and re-compiling, the card works fine. 
But new releases of the kernel require repeating the process.

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:39:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.